Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Dmitrii Kuragin <[email-masked]>
Date: Tue, 30 Aug 2022 06:48:08 -0700

Could you please try these settings?
```
(setq display-line-numbers-type 'visual)
(global-display-line-numbers-mode)

(global-hl-line-mode)

(global-display-fill-column-indicator-mode)
```

On Mon, Aug 29, 2022 at 11:04 PM Gerd Möllmann <[email-masked]>
wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> > Gerd, do you see the same on your system?
>
> No, I can't reproduce this.
>
> After watching Dmitrii's video I thought it might be related to a light
> terminal background color (I normally use a black background), so I
> tried that, but no flickering.  I don't know what else to try now to
> reproduce this.
>
> Maybe it helps if I describe exactly what I'm doing?
>
> ~/ > uname -a
> Darwin Mini.fritz.box 21.6.0 Darwin Kernel Version 21.6.0: Wed Aug 10
> 14:28:35 PDT 2022; root:xnu-8020.141.5~2/RELEASE_ARM64_T8101 arm64
> ~/ > infocmp -V
> ncurses 5.7.20081102
> ~/ > echo $TERM $LINES $COLUMNS
> xterm-256color 95 364
> ~/ > cd emacs/master/src
> [master] gerd@Mini 2022-08-30 7:50
> ~/emacs/master/src/ > emacs -nw -Q xdisp.c
> [master] gerd@Mini 2022-08-30 7:51
>
> C-x 3
> C-x o
> C-x b *scratch* RET
> C-x o
>
> Make the xdisp.c window scroll with C-n/C-p, C-v/M-v.
>
> No flickering here.
>
> Dmitrii, how do you set Emacs' background?  Is that the terminal's
> background, or does it perhaps come from your Emacs config?  Or IOW, do
> you test this with emacs -Q?
>
>

-- 
*If you get an email from me outside of the 9-5 it is *not* because I'm
always on or expect an immediate response from you; it is because of work
flexibility
<http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
.  Evening and weekend emails are a sign I allocated some regular working
hours for other things (such as family, gym, friends,...).  And I encourage
you to feel free to do the same.